Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.wsconsent.builders
Interface RequestObjectBuilder

All Known Implementing Classes:
  RequestObjectBuilderImpl

    public interface RequestObjectBuilder

Interface RequestObjectBuilder. Default impl : `RequestObjectBuilderImpl` Factory : `RequestObjectBuilderFactory`

Method Summary
`GetPatientConsentRequest` | `createGetRequest(AuthorWithPatientAndPersonType author, SelectGetPatientConsentType consentType)` Method which allows an end-user to check the existence of an informed patient consent (and to get the information about this consent – ‘active’ or ‘inactive’).
`GetPatientConsentStatusRequest` | `createGetStatusRequest(AuthorWithPatientAndPersonType author, SelectGetPatientConsentType consentType)` Method which allows an end-user to check the status of an intformed patient consent
`PutPatientConsentRequest` | `createPutRequest(AuthorWithPatientAndPersonType author, ConsentType consentType)` Method which allows an end-user to declare an informed patient consent.
`RevokePatientConsentRequest` | `createRevokeRequest(AuthorWithPatientAndPersonType author, ConsentType existingConsentType)` Method which allows an end-user to declare the revocation of an informed patient consent.

Method Detail

### createPutRequest

    PutPatientConsentRequest createPutRequest(AuthorWithPatientAndPersonType author,
                                              ConsentType consentType)
                                              throws TechnicalConnectorException,
                                                     WsConsentBusinessConnectorException,
                                                     InstantiationException

  Method which allows an end-user to declare an informed patient consent. Once the consent is declared, it is considered as ‘active’ consent.

  Parameters:
    `author` - Identification of the author (‘end-user’ ) performing the request.
    `consentType` - ConsentType element
  Returns:
    PutPatientConsentRequest
  Throws:
    `TechnicalConnectorException`
    `WsConsentBusinessConnectorException`
    `InstantiationException`

### createRevokeRequest

    RevokePatientConsentRequest createRevokeRequest(AuthorWithPatientAndPersonType author,
                                                    ConsentType existingConsentType)
                                                    throws TechnicalConnectorException,
                                                           WsConsentBusinessConnectorException,
                                                           InstantiationException

  Method which allows an end-user to declare the revocation of an informed patient consent. Once the consent is revoked, it is considered as ‘inactive’ consent.

  Parameters:
    `author` - Identification of the author (‘end-user’ ) performing the request.
    `existingConsentType` - ConsentType element
  Returns:
    RevokePatientConsentRequest object
  Throws:
    `TechnicalConnectorException`
    `WsConsentBusinessConnectorException`
    `InstantiationException`

### createGetRequest

    GetPatientConsentRequest createGetRequest(AuthorWithPatientAndPersonType author,
                                              SelectGetPatientConsentType consentType)
                                              throws TechnicalConnectorException,
                                                     WsConsentBusinessConnectorException,
                                                     InstantiationException

  Method which allows an end-user to check the existence of an informed patient consent (and to get the information about this consent – ‘active’ or ‘inactive’).

  Parameters:
    `author` - Identification of the author (‘end-user’ ) performing the request.
    `consentType` - ConsentType element
  Returns:
    GetPatientConsentRequest object
  Throws:
    `TechnicalConnectorException`
    `WsConsentBusinessConnectorException`
    `InstantiationException`

### createGetStatusRequest

    GetPatientConsentStatusRequest createGetStatusRequest(AuthorWithPatientAndPersonType author,
                                                          SelectGetPatientConsentType consentType)
                                                          throws TechnicalConnectorException,
                                                                 WsConsentBusinessConnectorException,
                                                                 InstantiationException

  Method which allows an end-user to check the status of an intformed patient consent

  Parameters:
    `author` - Identification of the author ('end-user') performing the request.
    `consentType` - ConsentType element
  Returns:
    GetPatientConsentStatusRequest object
  Throws:
    `TechnicalConnectorException`
    `WsConsentBusinessConnectorException`
    `InstantiationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSDENTIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.